# stylelint-at-rule-import-no-underscore

[![Build Status](https://travis-ci.org/timothyneiljohnson/stylelint-at-rule-import-no-underscore.svg)](https://travis-ci.org/timothyneiljohnson/stylelint-at-rule-import-no-underscore)

A [stylelint](https://github.com/stylelint/stylelint) custom rule to catch usage of `@import` statement files beginning with underscores.

This rule will cause stylelint to warn you whenever `@import` is used with an underscore (e.g. `_variables` vs. `variables`).

## Installation

```
npm install stylelint-at-rule-import-no-underscore
```

This plugin is compatible with v5.0.1+.

## Details

```css
@import('_variables); /* Not OK */
@import('path/_variables); /* Not OK */

@import('variables); /* OK */
@import('path/variables); /* OK */
```

## Usage

Add `"stylelint-at-rule-import-no-underscore"` to your stylelint config `plugins` array, then add `at-rule-import-no-underscore` to your rules, set to true.

As follows:

```js
{
  "plugins": [
    "stylelint-at-rule-import-no-underscore"
  ],
  "rules": {
    "at-rule-import-no-underscore": [true|false]
  }
};
```
