const ruleTester = require('stylelint-rule-tester');
var atRuleImportNoUnderscore = require('..');

const messages = atRuleImportNoUnderscore.messages;
const testRule = ruleTester(atRuleImportNoUnderscore.rule, atRuleImportNoUnderscore.ruleName);

const basics = (tr) => {
  tr.ok('');
  tr.ok('a {}');
  tr.ok('a { top: 0; }');
};

testRule(true, (tr) => {
  basics(tr);

  tr.notOk('@import "_foo.css";', messages.rejected);
  tr.notOk('@import "path/_foo.css";', messages.rejected);
  tr.ok('@import "foo.css";');
  tr.ok('@import "path/foo.css";');

  tr.notOk('@import \'_foo.css\';', messages.rejected);
  tr.notOk('@import \'path/_foo.css\';', messages.rejected);
  tr.ok('@import \'foo.css\';');
  tr.ok('@import \'path/foo.css\';');
});

testRule(false, (tr) => {
  basics(tr);

  tr.ok('@import "_foo.css";');
  tr.ok('@import "path/_foo.css";');

  tr.ok('@import \'_foo.css\';');
  tr.ok('@import \'path/_foo.css\';');
});
